:root {
    --theme-primary: #861519;
    --theme-font: "Albert Sans", sans-serif;
    --content-font: "DM Sans", sans-serif;
    --bg-color:#F1F2EB;

    --bs-cube-2: cubic-bezier(.1,.75,.25,1);
}
:focus {
    outline: none;
    box-shadow: none;
}
html {
    overflow-x: hidden;
}
@media (min-width: 1600px) {
    .container {
        max-width: calc(1320px + 24px);
    }
    .container.bs_container {
        max-width: calc(1490px + 24px);
    }
}

@media (min-width: 1800px), only screen and (min-width: 1600px) and (max-width: 1799px), only screen and (min-width: 1400px) and (max-width: 1599px){
    ::-webkit-scrollbar {
        width: 7px;
        background: #000;
        box-shadow: none;
        border: none;
    }
    ::-webkit-scrollbar-thumb {
        background: var(--theme-primary);
        border-radius: 0px;
    }
}

/* General */
body {
    font-family: var(--content-font);
    overflow-x: hidden !important;
}

.inner_page {
    background-image: url("../assest/w1-bg-noise-1.webp");
}

a {
    text-decoration: none;
}

.sub_title {
    font-family: var(--theme-font);
    font-size: 20px;
    line-height: 1.076;
    font-weight: 600;
    letter-spacing: -0.03em;
    text-transform: capitalize;
    color: black;
    margin-bottom: 0;
}

.sub_title_big {
    font-family: var(--theme-font);
    font-size: 24px;
    line-height: 1.2;
    font-weight: 600;
    letter-spacing: -0.02em;
    text-transform: capitalize;
    color: black;
    margin-bottom: 0;
}

.title {
    font-family: var(--theme-font);
    font-weight: 600;
    letter-spacing: -0.03em;
    /* text-transform: capitalize !important; */
    line-height: 1;
    font-size: 52px;
    color: black;
    margin-bottom: 30px;
}
.sub_title:hover,
.title:hover {
    color: var(--theme-primary);
}

.dec {
    display: flex;
    flex-direction: column;
    gap: 28px;
}
.dec p {
    font-family: var(--content-font);
    font-size: 18px;
    line-height: 1.555;
    font-weight: 400;
    color: #363636;
    margin-bottom: 0;
}

.project_title {
    font-family: var(--theme-font);
    font-size: 30px;
    font-weight: 600;
    letter-spacing: -0.03em;
    line-height: 1;
    color: black;
    margin-bottom: 0;
}
.project_title:hover {
    color: var(--theme-primary);
}

.bs-pr-btn-3 {
    font-family: var(--theme-font);
    text-transform: capitalize;
    font-weight: 600;
    background: black;
    color: white;
    padding: 15px 28px;
    font-size: 16px;
    line-height: 1.5;
    position: relative;
    z-index: 1;
    border-radius: 4px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    transition: 0.4s var(--bs-cube-2);

    translate: none; 
    rotate: none; 
    scale: none;
    opacity: 1; 
    visibility: inherit; 
    transform: translate(0px, 0px);
}
.bs-pr-btn-3 .text {
  display: flex;
  align-items: center;
  gap: 10px;
  transition: 0.4s var(--bs-cube-2);
}
.bs-pr-btn-3 .text:nth-child(1) {
  position: relative;
}
.bs-pr-btn-3 .text:nth-child(2) {
  position: absolute;
  transform: translateY(-150%);
  color: white;
}
.bs-pr-btn-3::after {
  content: "";
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  background: var(--theme-primary);
  z-index: -1;
  border-radius: 4px;
  transform: translateY(-105%);
  transition: 0.4s var(--bs-cube-2);
}
.bs-pr-btn-3:hover {
  color: white;
}
.bs-pr-btn-3:hover::after {
  transform: translateY(0);
}
.bs-pr-btn-3:hover .text:nth-child(1) {
  transform: translateY(150%);
}
.bs-pr-btn-3:hover .text:nth-child(2) {
  transform: translateY(0%);
}

.section_padding {
    padding-top: 80px;
    padding-bottom: 80px;
}
section {
    margin: 80px 0;
}
/* General */

/* Header */
.main_header .container {
    max-width: 1344px;
}
.main_header .header_row {
    display: grid !important;
    grid-template-columns: 16% calc(84% - 52px);
    gap: 52px;
}
.main_header {
    position: absolute;
    top: 24px;
    left: 0;
    width: 100%;
    border-top: 1px solid rgba(247, 246, 241, 0.32);
    border-bottom: 1px solid rgba(247, 246, 241, 0.32);
    z-index: 3;
}
.main_header .logo {
    padding: 10px 15px 15px 15px;
    background: var(--theme-primary);
    border-radius: 0 0 150px 150px;
    margin: 0 0 -39px;
    display: inline-block;
}
.main_header .logo img {
    max-width: 80px;
}
.main_header .right_header {
    border-left: 1px solid rgba(247, 246, 241, 0.32);
}
.main_header .navbar-nav {
    gap: 50px;
}
.main_header .navbar-nav .nav-item .nav-link {
    color: white;
    font-size: 16px;
    font-weight: 500;
    text-transform: capitalize;
    position: relative;
}
.main_header .navbar-nav .nav-item .nav-link:hover:after,
.main_header .navbar-nav .nav-item .nav-link.active:after {
    position: absolute;
    content: ' ';
    left: -10% !important;
    width: 120%;
    height: 2px;
    background: var(--theme-primary);
    top: calc(50% - -15px) !important;
}
/* Header */

/* Hero section */
.hero_section {
    position: relative;
}
.hero_section:before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.3);
    z-index: 1;
}
.hero_section .lSPager {
    display: none;
}
#mobile_hero_slider,
#hero_slider {
    max-height: 100vh;
}
#mobile_hero_slider img, 
#hero_slider img {
    object-fit: cover;
}
#mobile_hero_slider li {
    background-size: cover; 
    background-position: center;
    background-repeat: no-repeat;
}

#mobile_hero_slider li.active {
    animation: kenburns 15s ease-in-out infinite;
}
#hero_slider li.active img {
    animation: kenburns 10s ease-in-out infinite;
}

@keyframes kenburns {
    0% {
        transform: scale(1) translate(0, 0);
    }
    100% {
        transform: scale(1.1) translate(-5px, -5px);
    }
}

/* Hero section */

/* Tag line section */
.hero_animate_text {
    max-width: 1140px;
    font-family: var(--theme-font);
    font-size: 62px;
    line-height: 1.2em;
    font-weight: 600;
    text-align: center;
    background: -webkit-gradient(linear, left top, right top, color-stop(10%, #861519), color-stop(50%, #f9b931), color-stop(60%, #22c55e));
    background: linear-gradient(to right, #861519 10%, #f9b931 50%, #22c55e 60%);
    background-size: auto auto;
    background-clip: border-box;
    background-size: 200% auto;
    background-clip: text;
    text-fill-color: transparent;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    -webkit-animation: textclip 8s linear infinite;
    animation: textclip 8s linear infinite;
    margin: 0 !important;
}
@-webkit-keyframes textclip {
  to {
    background-position: 200% center;
  }
}
@keyframes textclip {
  to {
    background-position: 200% center;
  }
}
/* Tag line section */

/* Featured Projects */
.project_box .project_img {
    overflow: hidden;
}
.project_box img {
    transition: transform 500ms;
    transform: perspective(0px) rotateX(0deg) rotateY(0deg) scaleX(1) scaleY(1);
    transform-origin: center center;
}
.project_box:hover img {
    transform: perspective(2000px) rotateX(0.03deg) rotateY(0deg) scaleX(1.05) scaleY(1.05);
}
/* Featured Projects */

/* About section */
.about_section .container {
    max-width: calc(1140px + 24px);
}
.about_section {
    background: var(--bg-color);
}
.as_row {
    display: grid;
    grid-template-columns: 35% 65%;
}
/* About section */

/* Service section */
.services_section {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
    gap: 30px;
    padding: 48px 30px;
    border-top: 1px solid #D9D9D9;
    border-bottom: 1px solid #D9D9D9;
}
.services_section .item {
    padding-top: 30px;
    padding-bottom: 30px;
}
.services_section .item:hover img {
    animation: jackInTheBox 1s;
}
@-webkit-keyframes jackInTheBox {
  from {
    opacity: 0;
    -webkit-transform: scale(0.1) rotate(30deg);
    transform: scale(0.1) rotate(30deg);
    -webkit-transform-origin: center bottom;
    transform-origin: center bottom;
  }
  50% {
    -webkit-transform: rotate(-10deg);
    transform: rotate(-10deg);
  }
  70% {
    -webkit-transform: rotate(3deg);
    transform: rotate(3deg);
  }
  to {
    opacity: 1;
    -webkit-transform: scale(1);
    transform: scale(1);
  }
}
@keyframes jackInTheBox {
  from {
    opacity: 0;
    -webkit-transform: scale(0.1) rotate(30deg);
    transform: scale(0.1) rotate(30deg);
    -webkit-transform-origin: center bottom;
    transform-origin: center bottom;
  }
  50% {
    -webkit-transform: rotate(-10deg);
    transform: rotate(-10deg);
  }
  70% {
    -webkit-transform: rotate(3deg);
    transform: rotate(3deg);
  }
  to {
    opacity: 1;
    -webkit-transform: scale(1);
    transform: scale(1);
  }
}
.services_section .item img {
    max-width: 56px;
    margin-bottom: 43px;
}
.services_section .item .sub_title {
    margin-bottom: 45px;
}
.services_section .item .dec p {
    color: black;
}
.services_section .item .dec p {
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
}
.services_section .item .dec.expand p {
    -webkit-line-clamp: none;
}
.services_section .item .read_more {
    font-family: var(--content-font);
    line-height: 1.555;
    font-weight: 400;
    color: black;
    margin-bottom: 0;
    cursor: pointer;
    border-bottom: 1px dashed #861519;
    font-size: 14px;
    line-height: 1.2em;
}
.services_section .item:not(:last-child) {
    padding-right: 52px;
    border-right: 1px solid #D9D9D9;
}
/* Service section */

/* why_rang */
.why_rang {
    background-image: url(../assest/w5-bg-img.webp);
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
}
.why_rang .title {
    margin-bottom: 60px;
}
.why_rang .card_item {
    background: white;
    border: 1px solid #A3ADAF;
    position: relative;
    z-index: 1;
    padding: 48px 40px;
    margin-left: -1px;
    transition: 0.4s var(--bs-cube-2);
    overflow: hidden;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
}
.why_rang .wr_card_item {
    transform: translate(0px, 28px);
}
.why_rang .wr_card_item:nth-child(odd) {
    transform: translate(0px, -28px);
}
.why_rang .card_item .sub_title_big {
    margin: 0 0 18px;
    color: #363636;
}
.why_rang .card_item img {
    max-width: 71px;
    display: block;
    margin: 50px 0 0 auto;
}
/* why_rang */

/* Google Reviews */
.google_review {
    background: var(--bg-color);
}
.google_review .container {
    max-width: calc(1140px + 24px);
}
.google_review .reviews .items {
    border-radius: 30px;
    background: #ffffff;
    padding: 15px;
    border: 1px solid #dbdde1;
    position: relative;
}
.google_review .reviews .items .google_logo {
    position: absolute;
    top: 15px;
    right: 15px;
}
.google_review .reviews .items .stars_rating span {
    line-height: 1em;
}
.google_review .reviews .items .stars_rating span svg path {
    fill: #f6bb06;
}
.google_review .reviews .items .user_info img {
    width: 100%;
    max-width: 46px;
    aspect-ratio: 1/1;
    object-fit: cover;
    border-radius: 50%;
    box-shadow: 0 0 2px rgba(0, 0, 0, .12), 0 2px 4px rgba(0, 0, 0, .24);
}
.google_review .reviews .items .user_info h5 {
    color: #154fc1;   
    font-family: var(--theme-font);
    font-size: 14px;
    line-height: 1.2em;
    font-weight: 700;
}
.google_review .reviews .items .user_info p {
    color: #555;
    font-family: var(--theme-font);
    font-size: 13px;
    line-height: 1.2em;
    font-weight: 400;
    padding: 5px 0 0 0;
}
.google_review .reviews .items .review_contain p {
    font-family: var(--theme-font);
    font-weight: 400;
    color: #222;
    font-size: 15px;
    line-height: 24px;
    margin-bottom: 0;
    max-width: 100%;
    overflow: hidden;
    white-space: pre-wrap;
    word-break: break-word;
}
.google_review .reviews .items .review_contain .google_review_dec {
    max-height: 72px;
    overflow: hidden;
    display: block;
}
.google_review .reviews .items .review_contain .google_review_dec.expand {
    overflow: auto;
}
.google_review .reviews .items .review_contain a {
    font-family: var(--theme-font);
    font-weight: 400;
    color: #136aaf;
    font-size: 15px;
    line-height: 24px;
    margin-bottom: 0;
}
/* Google Reviews */

/* Instagram Feed */
.instagram_section {
    background-image: url("../assest/w1-bg-noise-1.webp");
    background-position: center center;
}
.instagram_section .container {
    max-width: calc(1140px + 24px);
}
.instagram_feed {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 10px;
}
.instagram_feed img {
    width: 100%;
    max-width: 220px;
    max-height: 293px;
    object-fit: cover;
}
/* Instagram Feed */

/* Footer */
.main_footer {
    background: var(--bg-color);
    padding: 0 0 20px;
}
.main_footer .container {
    max-width: calc(1140px + 24px);
}
.main_footer .logo {
    padding: 10px 15px 20px;
    background: var(--theme-primary);
    border-radius: 0 0 150px 150px;
    display: inline-block;
}
.main_footer .logo img {
    max-width: 100px;
}
.main_footer .footer_tag {
    margin: 25px 0 20px;
}

.main_footer .footer_menu {
    gap: 30px;
}
.main_footer .footer_menu a {
    font-family: var(--theme-font);
    text-transform: capitalize;
    color: #7a7a7a;
    font-weight: 500;
    font-size: 17px;
    line-height: 1.5;
    transition: 0.5s var(--bs-cube-2);
}
.main_footer .footer_menu a:hover {
    color: var(--theme-primary);
    transform: translateX(3px);
}

.main_footer .coppyright {
    margin: 30px 0 0;
    padding: 20px 0 0;
    border-style: solid;
    border-width: 1px 0px 0px 0px;
    border-color: #858585;
}
.main_footer .coppyright p {
    font-family: var(--theme-font);
    font-size: 14px;
    font-weight: 500;
    text-transform: capitalize;
    line-height: 20px;
    color: #303030;
    margin: 0;
    text-align: center;
}

.wa_backtotop {
    position: fixed;
    right: 1.5%;
    bottom: 2.5%;
    z-index: 2;
    width: 40px;
    height: 40px;
    border: 1px solid #000;
    background-color: #fff;
    transition: 0.3s;
    cursor: pointer;
    border-radius: 50%;
    font-size: 14px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 500;
    transition: 0.3s;
}
.wa_backtotop {
    visibility: hidden;
    opacity: 0;
}
.wa_backtotop.active {
    visibility: visible;
    opacity: 1;
}
/* Footer */

/* Social Media */
.social_icons {
    display: flex;
    flex-direction: column;
    gap: 7px;
    justify-content: center;
    align-items: center;
    position: fixed;
    right: 20px;
    top: calc(50% - 82px);
    z-index: 9;
}
.social_icons a {
    line-height: 1em;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 9px 9px 9px 9px;
    background-color: black;
    width: 36px;
    height: 36px;
    color: white;
}
.social_icons a:hover {
    background-color: var(--theme-primary);
}
.social_icons i {
    font-size: 18px;
}
/* Social Media */

/* --------------- About us --------------- */
/* Page title */
.page_title {
    padding-top: 150px;
    padding-bottom: 50px;
    background-image: url("../assest/breadcrum-bg2.jpg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
}
.page_title::before {
    content: "";
    width: 100%;
    height: 100%;
    background: #000;
    position: absolute;
    left: 0;
    bottom: 0;
    opacity: 72%;
}
.page_title h2 {
    font-family: var(--theme-font);
    font-size: 90px;
    line-height: 1;
    letter-spacing: -0.01em;
    color: #fff;
    font-weight: 700;
    margin-bottom: 0;
    z-index: 2;
    position: relative;
}
/* Page title */

/* About section */
.about_page  .container {
    max-width: calc(1140px + 24px);
}
.about_page .about_section_row {
    display: grid;
    grid-template-columns: 60.50% 39.50%;
}
.about_page .about_section_row .items {
    background: black;
    padding: 20px;
    display: grid;
    grid-template-columns: 68px auto;
    gap: 15px;
    align-items: center;
}
.about_page .about_section_row .items:hover img {
    animation: swing 1s;
}
@-webkit-keyframes swing{
    20%{-webkit-transform:rotate(15deg);transform:rotate(15deg)}
    40%{-webkit-transform:rotate(-10deg);transform:rotate(-10deg)}
    60%{-webkit-transform:rotate(5deg);transform:rotate(5deg)}
    80%{-webkit-transform:rotate(-5deg);transform:rotate(-5deg)}
    100%{-webkit-transform:rotate(0);transform:rotate(0)}
}
@keyframes swing{
    20%{-webkit-transform:rotate(15deg);-ms-transform:rotate(15deg);transform:rotate(15deg)}
    40%{-webkit-transform:rotate(-10deg);-ms-transform:rotate(-10deg);transform:rotate(-10deg)}
    60%{-webkit-transform:rotate(5deg);-ms-transform:rotate(5deg);transform:rotate(5deg)}
    80%{-webkit-transform:rotate(-5deg);-ms-transform:rotate(-5deg);transform:rotate(-5deg)}
    100%{-webkit-transform:rotate(0);-ms-transform:rotate(0);transform:rotate(0)}
}
.about_page .about_section_row .items img {
    width: 100%;
}
.about_page .about_section_row .items p {
    font-family: var(--theme-font);
    font-size: 22px;
    line-height: 1.2;
    font-weight: 600;
    letter-spacing: -0.03em;
    color: white;
    margin-bottom: 0;
}

.about_page .about_section_row .about_img {
    margin: 0 0 0 30px;
}
.about_page .about_section_row .about_img .main_div {
    position: relative;   
}
.about_us_logo_img {
    opacity: 0.3;
    max-width: 280px !important;
    display: block;
    width: 100%;
    margin: 0 auto;
}
.about_us_logo {
    position: absolute;
    bottom: 0;
    left: 0;
    z-index: 1;
    display: block;
    width: 100%;
    height: 0%;
    transition: 0s;
    overflow: hidden;
    -webkit-animation: aul 6s linear infinite;
    animation: aul 6s linear infinite;
    will-change: height, opacity;
    transform-origin: 0 100%;
}
@keyframes aul {0% {height: 0%;opacity: 1;}
 95% {height: 100%;opacity: 1;}
 100% {height: 100%;opacity: 0;}
}
.about_us_logo span {
    background-size: 280px !important;
}
.about_us_logo span {
    position: absolute;
    bottom: 0;
    left: 0;
    z-index: 3;
    display: block;
    width: 100%;
    height: 100%;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center bottom 0px;
    transition: 0s;
}

.about_section_two {
    display: grid;
    grid-template-columns: 45% 55%;
}
.about_section_two .ast_right {
    padding: 0 0 0 30px;
}
.about_section_two .dec {
    gap: 15px;
}
.about_section_two .follow_me {
    margin: 20px 0 0;
    gap: 5px;
}
.about_section_two .follow_me .social_icons {
    position: relative;
    top: 0;
    left: 0;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
}
/* About section */

/* --------------- Project list --------------- */
.project_listing .project_item:not(:first-child) {
    border-style: solid;
    border-width: 1px 0px 0px 0px;
    border-color: var(--theme-primary);
    margin: 40px 0 0 0;
    padding: 40px 0px 0px 0px;
    z-index: 2;
}
.project_listing .project_item .project_slider_wrap .lSPager {
    margin: 0 !important;
    width: 100%;
    position: absolute;
    left: 0;
    bottom: 10px;
    z-index: 1;
}
.project_listing .project_item .project_slider_wrap .lSPager li a {
    width: 12px;
    height: 12px;
    background: #86151980;
}
.project_listing .project_item .project_slider_wrap .lSPager li.active a {
    background: var(--theme-primary);
}
.project_listing .project_item .project_slider img {
    border-radius: 30px 30px 30px 30px;
}
.project_listing .project_item .content {
    padding: 40px 20px 0 0;
}
.project_listing .project_item .content h5 {
    font-family: var(--theme-font);
    font-size: 40px;
    font-weight: 600;
    text-transform: none;
    font-style: normal;
    text-decoration: none;
    line-height: 1em;
    color: black;
    margin: 0;
}
.project_listing .project_item .content p {
    font-family: var(--content-font);
    font-size: 20px;
    font-weight: 400;
    text-transform: none;
    font-style: normal;
    text-decoration: none;
    line-height: 1.5em;
    color: #363636;
    padding: 15px 0px 25px 0px;
    margin: 0;
}
.project_listing .project_item .content .bs-pr-btn-3 {
    border: 1px solid black;
    background: transparent;
    color: black;
}
.project_listing .project_item .content .bs-pr-btn-3:hover {
    border: 1px solid var(--theme-primary);
}

/* --------------- Details Project --------------- */
.project_details .project_main_img {
    padding: 0 0 40px;
}
.project_details .left_col img {
    padding: 0 30px 0 0;
}
.project_details .right_col img {
    padding: 0 0 0 30px;
}
.project_gallery img {
    aspect-ratio: 3/2;
    object-fit: cover;
    width: 100%;
    height: auto !important;
}
.project_page_tab .nav-link {
    font-family: var(--content-font);
    font-size: 18px;
    line-height: 1.5;
    font-weight: 400;
    color: #363636;
    margin-bottom: 0;
    border-radius: 30px;
    padding: 7px 24px;
    border: 1px dashed #86151980;
}
.project_page_tab .nav-link.active {
    background: var(--theme-primary);
    border: 1px solid var(--theme-primary);
}
.project_tab_contain video {
    aspect-ratio: 16/9;
    background-color: #000;
    object-fit: contain;
}

/* --------------- Services Page --------------- */
.pp_image_accordion {
    display: flex;
}
.pp_image_accordion .pp_image_accordion_item {
    height: 550px;
    flex: 1 1 0%;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    position: relative;
    -webkit-box-flex: 1;
    -ms-flex: 1;
    flex: 1;
    text-decoration: none;
    -webkit-transition: -webkit-box-flex .4s;
    transition: -webkit-box-flex .4s;
    transition: flex .4s;
    transition: flex .4s,-webkit-box-flex .4s,-ms-flex .4s;
    overflow: hidden;
    
    padding: 20px;
    display: flex;
    flex-direction: column;    
    justify-content: end;
    position: relative;
}
.pp_image_accordion .pp_image_accordion_item:after {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    content: '';
    background: #00000059;
    z-index: 1;
}
.pp_image_accordion .pp_image_accordion_item:hover {
    flex: 3 1 0% !important;
}

.pp_image_accordion .pp_image_accordion_item .contain {
    opacity: 0;
    z-index: 2;
}
.pp_image_accordion .pp_image_accordion_item:hover .contain {
    opacity: 1;
    transition: all .3s .3s;
}
.pp_image_accordion .pp_image_accordion_item .contain h4 {
    font-family: var(--theme-font);
    font-size: 40px;
    font-weight: 600;
    text-transform: none;
    font-style: normal;
    text-decoration: none;
    line-height: 1em;
    color: white;
    margin: 0 0 8px;
    transform: translate3d(0, -60px, 0);
    transform-style: preserve-3d;
}
.pp_image_accordion .pp_image_accordion_item .contain .text {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    transform: translate3d(0, 60px, 0);
    transform-style: preserve-3d;
}
.pp_image_accordion .pp_image_accordion_item .contain .text p {
    font-family: var(--content-font);
    font-size: 16px;
    line-height: 1.5;
    letter-spacing: 0;
    font-weight: 400;
    color: white;
    margin-bottom: 0;
}
.pp_image_accordion .pp_image_accordion_item:hover .contain h4,
.pp_image_accordion .pp_image_accordion_item:hover .contain .text {
    transition: all .3s .3s;
    transform: translate3d(0, 0, 0);
}

/* Timeline */
.time_line .container {
    max-width: calc(1040px + 24px);
}
.time_line .container .dec {
    padding: 15px 50px 40px 50px;
}

.design_methodology .dm_item {
    display: grid;
    grid-template-columns: 1fr auto 1fr;
    align-items: center;
    gap: 60px;
}
.design_methodology .dm_item .image {
    -webkit-mask-image: url("../assest/w6-img-mask.webp");
    mask-image: url("../assest/w6-img-mask.webp");
    mask-repeat: no-repeat;  
    mask-size: 100% 100%;
    -webkit-mask-size: 100% 100%;
    mask-position: center center;
    height: 290px;
}
.design_methodology .dm_item:nth-child(even) {
    direction: rtl;
}
.design_methodology .dm_item:nth-child(even) .contain { 
    text-align: left;
}
.design_methodology .dm_item:nth-child(even) .image{
    -webkit-mask-image: url("../assest/w6-img-maskr.png");
    mask-image: url("../assest/w6-img-maskr.png");
}
.design_methodology .dm_item .image img {
    width: 100%;
    height: 100% !important;
    object-fit: cover;
}
.design_methodology .dm_item .line {
    width: 1px;
    height: 100%;
    background: var(--theme-primary);
    position: relative;
    z-index: 1;
    height: 100%;
}
.design_methodology .dm_item:not(:last-child) {
    margin: 0 0 60px;
}
.design_methodology .dm_item:not(:last-child) .line {
    height: calc(100% + 64px);
    top: 32px;
}
.design_methodology .dm_item .line::after {
    content: "";
    width: 26px;
    height: 26px;
    position: absolute;
    bottom: 86px;
    left: -13px;
    background: var(--theme-primary);
    border-radius: 50%;
    border: 5px solid #fff;
    outline: 1px solid var(--theme-primary);
}
.design_methodology .dm_item:not(:last-child) .line::after {
    bottom: 148px;
}
.design_methodology .dm_item .contain h5 {
    font-size: 60px;
    font-weight: 900;
    color: #EDF1F4;
    line-height: 1;
    position: absolute;
    left: -36px;
    top: -30px;
    z-index: -1;

    font-family: var(--theme-font);
    letter-spacing: -0.03em;
    text-transform: capitalize;
    margin-bottom: 0;
}
.design_methodology .dm_item .contain h4 {
    color: black;
    font-size: 32px;
    font-weight: 700;
    margin-bottom: 20px;
    font-family: var(--theme-font);
    line-height: 1.076;
    letter-spacing: -0.03em;
    text-transform: capitalize;
    margin: 0 0 20px;
}
.design_methodology .dm_item .contain h4:hover {
    color: var(--theme-primary);
}

/* --------------- Blog Page --------------- */
.blog_list .blog_item {
    padding: 32px 32px;
    border: 1px solid #DFE1E5;
}
.blog_list .blog_item:not(:first-child) {
    margin: 30px 0 0;
}
.blog_list .blog_item img {
    width: 100%;
    max-height: 380px;
    object-fit: cover;
    margin: 0 0 30px;
}
.blog_list .blog_item .item-meta {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 10px 50px;
    padding: 28px 0;
}
.blog_list .blog_item .item-meta .meta-item {
    display: inline-flex;
    align-items: center;
    gap: 8px;
    font-family: var(--content-font);
    font-size: 18px;
    line-height: 1.555;
    font-weight: 400;
    color: #363636;
    margin-bottom: 0;
}
.blog_list .blog_item h3 {
    font-size: 32px;
    line-height: 1.25;
    font-weight: 600;
    margin-bottom: 17px;
    transition: 0.2s;
    font-family: var(--theme-font);
    letter-spacing: -0.03em;
    text-transform: capitalize;
    color: black;
}
.blog_list .blog_item h3:hover {
    color: var(--theme-primarydd);
}
.blog_list .blog_item .dec {
    margin: 0 0 24px;
}
.blog_list .blog_item .dec p {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden; 
}
.blog_list .blog_item .item-btn {
    text-transform: uppercase;
    display: inline-flex;
    font-size: 16px;
    line-height: 26px;
    font-weight: 600;
    align-items: center;
    gap: 11px;
    transition: 0.3s;
    font-family: var(--theme-font);
    letter-spacing: -0.03em;
    color: black;
    margin-bottom: 0;
}
.blog_list .blog_item .item-btn i {
    width: 32px;
    height: 32px;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    background: var(--theme-primary);
    border-radius: 50%;
    color: #000;
    transition: 0.3s;
    font-size: 20px;
}
.blog_list .blog_item .item-btn:hover {
    color: var(--theme-primary);
}
.blog_list .blog_item .item-btn:hover i {
    transform: translateX(5px);
}

/* recent posts */
.recent_posts {
    padding: 44px 48px;
    background: #EEF3EC;
}
.rp_list .rpl_item {
    display: grid;
    grid-template-columns: 1fr 1.45fr;
    gap: 24px;
    align-items: center;
}
.rp_list .rpl_item:not(:last-child) {
    margin: 0 0 28px;
}
.rp_list .rpl_item img {
    max-height: 160px;
    height: 100%;
    width: 100%;
    object-fit: cover;
    min-height: 160px;
    border-radius: 5px;
}
.rp_list .rpl_item .dec {
    margin: 0 0 10px;
}

/* --------------- Single Blog --------------- */
.single_blog {
    gap: 30px;
    z-index: 2;
    position: relative;
    padding: 30px 0 0;
}
.single_blog .back_btn {
    font-family: var(--theme-font);
    display: flex;
    align-items: center;
    gap: 12px;
    letter-spacing: 0.02em;
    font-size: 18px;
    color: white;
    transition: 0.4s var(--bs-cube-2);
}
.single_blog .back_btn i {
    color: var(--theme-primary);
}
.single_blog .back_btn:hover {
    color: var(--theme-primary);
    transform: translateX(-3px);
}
.single_blog .bs-blog-details-meta {
    display: inline-flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 10px 80px;
    background: #F5F5F5;
    padding: 23px 59px;
    justify-content: center;
    align-self: center;
}
.single_blog .bs-blog-details-meta .meta-item {
    display: inline-flex;
    flex: 0 0 auto;
    font-size: 18px;
    line-height: 20px;
    gap: 8px;
    font-weight: 500;
    text-transform: capitalize;
}
.single_blog .bs-blog-details-meta .meta-item svg path {
    fill: var(--theme-primary);
}

.single_blog_dec {
    max-width: 730px;
    margin-left: auto;
    margin-right: auto;
}
.single_blog_dec .title {
    font-size: 36px;
    line-height: 1.23;
    font-weight: 900;
    letter-spacing: normal;
    margin-bottom: 7px;
}
.single_blog_dec .dec {
    gap: 16px;
}
.single_blog_dec .dec ul {
    list-style: none;
    padding: 0;
    margin: 14px 0 9px;
}
.single_blog_dec .dec ul li:not(:last-child) {
    margin-bottom: 17px;
}
.single_blog_dec .dec ul li {
    padding-left: 22px;
    position: relative;
    z-index: 1;
}
.single_blog_dec .dec ul li::after {
    content: "";
    position: absolute;
    top: 9px;
    left: 0;
    background-color: var(--theme-primary);
    border-radius: 50%;
    width: 6px;
    height: 6px;
}

/* --------------- Contact Form --------------- */
.contact_form .container {
    max-width: calc(1140px + 24px);  
} 
.contact_form .contact_fields {
    display: grid;
    grid-template-columns: repeat(2,1fr);
    gap: 20px;
}
.contact_form .contact_fields .full {
    grid-column: 1 / span 2;
}
.contact_form .contact_fields label {
    color: black;
    font-family: var(--theme-font);
    font-size: 14px;
    line-height: 2em;
    font-weight: 400;
    opacity: 1;
    text-transform: uppercase;
    letter-spacing: 3px;
    margin: 0;
}
.contact_form .contact_fields textarea,
.contact_form .contact_fields input {
    font-family: var(--theme-font);
    border: none;
    box-shadow: none;
    outline: none;
    border-radius: 0;
    background: transparent;
    border-bottom: 1px solid #CED3CA;
    font-size: 16px;
    color: #000;
    font-weight: 400;
    padding: 0;
    height: 47px;
}
.contact_form .contact_fields textarea {
    height: 70px;
}

/* Loader */
.page-loader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background: rgba(0, 0, 0, 0.8);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999;
}
.page-loader .spinner img {
    width: 200px;
}
.spinner_logo_img {
    opacity: 0.3;
    max-width: 280px !important;
    display: block;
    width: 100%;
    margin: 0 auto;
}
.spinner_logo {
    position: absolute;
    bottom: 0;
    left: 0;
    z-index: 1;
    display: block;
    width: 100%;
    height: 0%;
    transition: 0s;
    overflow: hidden;
    -webkit-animation: auls 6s linear infinite;
    animation: auls 6s linear infinite;
    will-change: height, opacity;
    transform-origin: 0 100%;
}
@keyframes auls {0% {height: 0%;opacity: 1;}
 95% {height: 100%;opacity: 1;}
 100% {height: 100%;opacity: 0;}
}
.spinner_logo span {
    background-size: 200px !important;
}
.spinner_logo span {
    position: absolute;
    bottom: 0;
    left: 0;
    z-index: 3;
    display: block;
    width: 100%;
    height: 100%;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center bottom 0px;
    transition: 0s;
}

/*------------- Responsive -------------*/

@media only screen and (max-width: 1530px) and (min-width: 1200px) {
    .container {
        max-width: calc(1140px + 24px) !important;
    }
    .container.bs_container {
        max-width: calc(1140px + 24px) !important;
    }
}

/* ipda pro */
@media only screen and (max-width: 1025px) {
    .hero_section #mobile_hero_slider {
        max-height: 80vh;
        min-height: 80vh;
    }
    .hero_section #hero_slider {
        max-height: 80vh;
    }

    .dec {
        gap: 15px;
    }

    .project_box img {
        aspect-ratio: 192/175;
    }

    .social_icons {
        flex-direction: row;
        gap: 7px;
        position: unset;
        padding: 0 0 20px;
    }

    .pp_image_accordion {
        flex-direction: column;
    }
    .pp_image_accordion .pp_image_accordion_item:hover {
        min-height: 300px;
    }
}

/* tab */
@media only screen and (min-width:765px) and (max-width: 1025px) {
    .container,
    .container.bs_container {
        max-width: 100% !important;
        padding-left: 20px;
        padding-right: 20px;
    }
    section {
        margin: 50px 0;
    }
    .section_padding {
        padding-top: 50px;
        padding-bottom: 50px;
    }
    .title {
        font-size: 45px;
        margin: 0 0 20px;
    }
    .page_title h2 {
        font-size: 60px;
    }

    .main_header .navbar-nav {
        gap: 20px;
    }
    
    .hero_animate_text {
        font-size: 50px;
    }

    .as_row {
        grid-template-columns: 50% 50%;
    }

    .about_page .about_section_row .about_left {
        padding: 0 20px 0 0;
    }
    .about_page .about_section_row .about_img {
        margin: 0 0 0 0px;
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .about_section_two {
        grid-template-columns: 50% 50%;
        align-items: center;
    }
    .about_section_two .ast_right {
        padding: 0 0 0 20px;
    }

    .project_title {
        font-size: 24px;
    }
    .project_listing .project_item .content {
        padding: 0 20px 0 0;
    }
    .project_listing .project_item .project_slider_wrap {
        padding: 0;
        height: fit-content;
    }
    .project_listing .project_item:not(:first-child) {
        margin: 30px 0 0 0;
        padding: 30px 0px 0px 0px;
    }

    .time_line .container .dec {
        padding: 10px 0 20px;
    }
    .design_methodology .dm_item {
        gap: 30px;
    }
    .design_methodology .dm_item:not(:last-child) {
        margin: 0 0 40px;
    }

    .recent_posts {
        padding: 44px 20px;
    }
    .rp_list .rpl_item {
        grid-template-columns: 1fr;
    }

    .project_details .right_col img {
        padding: 0 0 0 20px;
    }
    .project_details .left_col img {
        padding: 0 20px 0 0;
    }
}

@media only screen and (min-width:765px) and (max-width: 900px) {
    .services_section {
        grid-template-columns: 1fr 1fr 1fr;
        gap: 20px;
        padding: 0px;
    }
    .services_section .item:not(:last-child) {
        padding-right: 30px;
    }

    .why_rang .title {
        margin-bottom: 20px;
    }

    .recent_posts {
        margin: 50px 0 0;
    }
    .rp_list {
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 0 30px;
    }
    .rp_list .rpl_item {
        grid-template-columns: 1fr 1.45fr;
    }
}

@media only screen and (max-width: 900px) {
    .main_header .right_header {
        border-left: none;
    }
    .mobile_nav_menu {
        outline: none !important;
        box-shadow: none !important;
        border: none;
    }
    .mobile_nav_menu img {
        max-width: 28px;
    }
    .mobile_sidbar {
        width: 100% !important;
        max-width: 450px;
        padding: 50px 20px;
    }
    .mobile_sidbar .btn-close {
        background-size: 20px;
        width: 32px;
        height: 32px;
    }
    .mobile_sidbar + .offcanvas-backdrop.show {
        opacity: .8;
    }
    .mobile_sidbar .offcanvas-header { 
        display: flex;
        align-items: center;
        gap: 20px;
        justify-content: space-between;
        padding: 0;
    }
    .mobile_sidbar .offcanvas-header img { 
        max-width: 150px;
        width: 100%;
    }
    .mobile_sidbar .offcanvas-body { 
        padding: 0;
    }

    .mobile_sidbar .mobile_menu {
        display: flex;
        flex-direction: column;
        margin: 50px 0;
    }
    .mobile_sidbar .mobile_menu a { 
        padding: 25px 0;
        color: black;
        font-family: var(--theme-font);
        text-transform: capitalize;
        font-size: 18px;
        font-weight: 500;
        width: 100%;
        line-height: 1;
        transition: 300ms;
    }
    .mobile_sidbar .mobile_menu a:not(:last-child) {
        border-bottom: 1px solid rgba(0, 0, 0, 0.1);
    }
    
    .mobile_sidbar .social_icons_sidbar p {
        font-family: var(--theme-font);
        color: #000;
        font-size: 20px;
        font-weight: 500;
        margin-bottom: 20px;
        line-height: 1.2;
        text-transform: capitalize;
    }
    .mobile_sidbar .social_icons_sidbar .social_icons {
        justify-content: start;
        gap: 10px;
    }
    .mobile_sidbar .social_icons_sidbar .social_icons a {
        border-radius: 0;
        background-color: white;
        width: 40px;
        height: 40px;
        color: black;
        border: 1px solid rgba(0, 0, 0, 0.3);
    }
    .mobile_sidbar .social_icons_sidbar .social_icons a:hover {
        color: var(--theme-primary);
    }

    .project_listing .project_item .content p {
        display: -webkit-box;
        -webkit-line-clamp: 5;
        -webkit-box-orient: vertical;
        overflow: hidden;
        padding: 0;
        margin: 10px 0 15px;
    }

    .why_rang .wr_card_item {
        transform: unset !important;
    }

    .contact_map {
        height: 300px;
    }
}

/* Mobile */
@media only screen and (max-width: 600px) { 
    .container, .container.bs_container {
        padding-left: 15px;
        padding-right: 15px;
    }

    section {
        margin: 40px 0;
    }
    .section_padding {
        padding-top: 40px;
        padding-bottom: 40px;
    }

    .main_header .logo {
        width: 100%;
        padding: 10px 0;
        margin: 0 0 -27px;
    }
    .main_header .logo img {
        max-width: 45px;
        display: block;
        margin: 0 auto;
    }

    .hero_animate_text {
        font-size: 35px;
        line-height: 1em;
    }

    .why_rang .title,
    .title {
        font-size: 35px;
        margin-bottom: 20px;
    }
    .page_title h2 {
        font-size: 40px;
    }

    .project_title {
        font-size: 22px;
    }

    .as_row {
        grid-template-columns: 100%;
    }

    .services_section {
        grid-template-columns: 1fr;
        gap: 20px;
        padding: 20px 0;
    }
    .services_section .item {
        padding:0 !important;
        border: none !important;
    }
    .services_section .item img,
    .services_section .item .sub_title {
        margin-bottom: 10px;
    }

    .why_rang .card_item {
        padding: 20px;
    }

    .instagram_feed {
        grid-template-columns: repeat(2, 1fr);
    }
    .instagram_feed a:last-child {
        display: none;
    }

    .main_footer .footer_tag {
        margin: 20px 0;
    }
    .main_footer .footer_menu {
        flex-wrap: wrap;
        gap: 5px 10px;
    }
    .main_footer .coppyright {
        margin: 20px 0 0;
    }
    .wa_backtotop {
        right: 3%;
    }

    .about_section_two,
    .about_page .about_section_row {
        grid-template-columns: 100%;
    }
    .about_page .about_section_row .about_img {
        margin: 0 0 20px;
    }
    .about_section_two .ast_right {
        padding: 20px 0 0;
    }

    .project_listing .project_item .content h5 {
        font-size: 35px;
    }
    .project_listing .project_item .content {
        padding: 20px 0 0;
    }
    .project_listing .project_item:not(:first-child) {
        margin: 30px 0 0 0;
        padding: 30px 0px 0px 0px;
    }

    .blog_list .blog_item {
        padding: 15px;
    }
    .blog_list .blog_item .dec p {
        -webkit-line-clamp: 5;
    }
    .recent_posts {
        padding: 15px;
        margin: 40px 0 0;
    }
    .rp_list .rpl_item {
        grid-template-columns: 1fr;
        gap: 10px;
    }
    .rp_list .rpl_item .dec {
        margin: 0;
    }
    .single_blog .bs-blog-details-meta {
        padding: 15px;
        justify-content: space-between;
        flex-wrap: nowrap;
    }
    .single_blog {
        gap: 15px;
    }
    .single_blog_dec .title {
        font-size: 22px;
    }

    .project_details .project_main_img {
        padding: 0 0 20px;
    }
    .project_details .title {
        margin-bottom: 15px;
    }
    .project_details .dec {
        gap: 10px;
    }
    .project_details .left_col img,
    .project_details .right_col img {
        padding: 0 0 20px;
    }
}